2021-01-18 9:00 JST 〜 メンテナンスによるサービス全停止予定

チケット #40639

中国語用JFM

登録: 2020-08-16 19:34 最終更新: 2020-12-26 01:44

報告者:
担当者:
(未割り当て)
チケットの種類:
状況:
完了
コンポーネント:
(未割り当て)
マイルストーン:
(未割り当て)
優先度:
5 - 中
重要度:
5 - 中
解決法:
なし
ファイル:
なし

詳細

I made some jfm files for Chinese and they could be used in either traditional or simplified Chinese, either horizontal or vertical writing mode. In each writing mode, three styles of jfm are provided and they are "quanjiao"(全角), "banjiao"(半角) and "kaiming"(开明). It's hard for me to use osdn so I update them to my github repo https://github.com/tanukihee/ChineseJFM . You can use them for free.

私は中国語用のJFMファイルを作りました。簡体中国語も繁体中国語も、横組みも縦組みも利用できます。全角・半角・開明式の約物調整方凡そ12種類が提供されます。OSDNが使えないので、GitHubでアップロードしました。アドレスは https://github.com/tanukihee/ChineseJFM です。ご自由にお使いください。

チケットの履歴 (9 件中 3 件表示)

2020-08-16 19:34 更新者: tanukihee
  • 新しいチケット "中国語用JFM" が作成されました
2020-08-19 11:31 更新者: h7k
コメント

Thank you very much. This is very helpful, because I don't know much about Chinese typesetting rules.

  • jfm-{quanjiao,banjiao,kaiming}.lua etc. already exist in LuaTeX-ja, but they are only for horizontal writing mode (and no information of priority). So perhaps yours are better.
  • I combined jfm-{bj,qj,km}??.lua into jfm-xj??.lua (at https://github.com/h-kitagawa/ChineseJFM/tree/combine ). With kitagawa_test branch of LuaTeX-ja, one can use jfm-xjsh.lua by
    \jfont \jSK="name:Source Han Serif SC:jfm=xjsh/kaiming" at 10pt  % kaiming
    \jfont \jSQ="name:Source Han Serif SC:jfm=xjsh/quanjiao" at 10pt % quanjiao
    \jfont \jSB="name:Source Han Serif SC:jfm=xjsh" at 10pt          % banjiao
    
(編集済, 2020-08-19 11:32 更新者: h7k)
2020-11-12 12:16 更新者: tanukihee
コメント

I have made 6 Japanese jfm files in my repo and combined the 18 jfm files into 3 files at this commit https://github.com/tanukihee/ChineseJFM/commit/cf6729573d356075af491b37a0ba003935aeb3d7.

I also combined the horizontal jfm and vertical jfm into one jfm file by using vert feature, and added prop feature for only kanas when punctuations do not need be proportional.

If there is no plan to add the Chinese jfm files into luatexja, the ticket could be closed.

2020-11-12 20:15 更新者: h7k
コメント

Thank you very much. I'm going to add your jfm-zh_{CN,TW}.lua into LuaTeX-ja. (I didn't look into jfm-ja_JP.lua....)

2020-11-12 22:01 更新者: None
コメント

I am happy to help you. The jfm-ja_JP.lua is just for fun. Many Chinese likes to use Japanese fonts to type Chinese articles so I wrote it. But I don't know if Japanese use these many punctuation adjustments 😂.

I roughly looked through Adobe InDesign's adjustments for Japanese and they are mainly about the punctuation at the beginning or the end of a line...

2020-11-12 22:10 更新者: tanukihee
コメント

Reply To (匿名)

Oh I forgot to login... It was my reply...

2020-11-12 23:00 更新者: tanukihee
コメント

I found I made a big mistake and fixed it in https://github.com/tanukihee/ChineseJFM/commit/2e3c3f0644092f5d7d0af7c67a4d9a7b8914c4aa 😥😥

If there are more necessary updates I will inform you at https://github.com/h-kitagawa/ChineseJFM by pulling requests.

2020-12-26 01:44 更新者: tanukihee
コメント

CTAN has received my upload and Chinese JFM works fine with luatexja. The ticket could be closed.

2020-12-26 01:44 更新者: tanukihee
  • 状況オープン から 完了 に更新されました

添付ファイルリスト

添付ファイルはありません

編集

ログインしていません。ログインしていない状態では、コメントに記載者の記録が残りません。 » ログインする